//A series of VM files completes the bindings. Separated to keep it easy and modular
//TODO: Need to use require.js eventually to lazy load and capture dependency

//This contains only globals

define(function () {
    return function fVMglobal() {
        var self = this;

        self.online = ko.observable(fg.online);
        self.alive = ko.observable(fg.alive);
        self.waitTable = ko.observableArray([]);

        //This is just to trick KO into thinking this drives bindings for loaded DOM. Leave this alone!
        self.loaded = ko.observable(true);

        //Data
        //Pages - All pages start hidden & then animates in
        self.showLaunchPage = ko.observable('fc-noShow');
        self.showHomePage = ko.observable('fc-noShow');
        self.showSchedulePage = ko.observable('fc-noShow');
        self.showScoresPage = ko.observable('fc-noShow');
        self.showPlayPage = ko.observable('fc-noShow');
        self.showLeaderboardPage = ko.observable('fc-noShow');
        self.showConnectPage = ko.observable('fc-noShow');
        self.showShopPage = ko.observable('fc-noShow');
        self.showAboutPage = ko.observable('fc-noShow');
        self.showBlogPage = ko.observable('fc-noShow');
        self.showNewsPage = ko.observable('fc-noShow');
        self.showFanzonePage = ko.observable('fc-noShow');
        self.showFollowPage = ko.observable('fc-noShow');
        self.showConsolePage = ko.observable('fc-noShow');
        self.showAboutPage = ko.observable('fc-noShow');
        self.showLoginPage = ko.observable('fc-noShow');
        self.showProfilePage = ko.observable('fc-noShow');

        self.inAppNotification = ko.observable(false);
        self.inAppNotificationText = ko.observable('');

        self.currPage = ko.observable('');

        //Legal stuff
        //self.copyrightMsg = 'Copyright (c) Fantain Sports Pvt. Ltd.';
        //self.copyrightMsg = 'Copyright (c) Sun Group and Fantain Sports Pvt. Ltd.';
        //self.version = fg.version;

        //Behaviour
        //This is for switching from 'from' page to 'to' page through CSS 'animate'
        self.showPage = function (to, animate) {

            ['fid-launchPage', 'fid-homePage','fid-schedulePage','fid-scoresPage','fid-playPage','fid-leaderboardPage','fid-connectPage','fid-shopPage','fid-aboutPage','fid-blogPage',
                'fid-newsPage','fid-fanzonePage','fid-followPage','fid-consolePage','fid-consolePage','fid-loginPage','fid-profilePage'].indexOf(fg.fVM.currPage()) > -1 ?
                fg.fVM['show'+fg.fVM.currPage().substring(4).capitalize()]('fc-noShow'):'';

            $("#" + fg.fVM.currPage()).css('z-index', -1);

            ['fid-launchPage', 'fid-homePage','fid-schedulePage','fid-scoresPage','fid-playPage','fid-leaderboardPage','fid-connectPage','fid-shopPage','fid-aboutPage','fid-blogPage',
                'fid-newsPage','fid-fanzonePage','fid-followPage','fid-consolePage','fid-consolePage','fid-loginPage','fid-profilePage'].indexOf(to) > -1 ?
                fg.fVM['show'+to.substring(4).capitalize()](animate):'';

            $(".main-content").removeClass('fc-noShow');
            $("#" + to).css('z-index', 1);
            fg.fVM.currPage(to);


            to != 'fid-scoresPage' ? fg.scoresPageRefreshTimer = window.clearInterval(fg.scoresPageRefreshTimer) : '';
            to != 'fid-playPage'   ? fg.playPageRefreshTimer   = window.clearInterval(fg.playPageRefreshTimer) : '';
            to != 'fid-connectPage'? fg.fVM.currentlyChattingWith('') : '';
            to != 'fid-schedulePage'? fg.fVM.scorecardUrl('') : '';

            to == 'fid-aboutPage' ? fg.fVM.loadAboutPage(true) : fg.fVM.loadAboutPage(false);
            to == 'fid-shopPage'  ? fg.fVM.loadShopPage(true)  : fg.fVM.loadShopPage(false);

            fg.appHeight();
        };

        // Common Function for list of item fade-in one by one:
        self.listItemFadeIn = function(className, interval) {
            var elem = $(className);
            interval = typeof interval !== 'undefined' ? interval : 1; // set default interval 1
            elem.removeClass('fc-fade-in');

            elem.each(function(i) {
                setTimeout(function() {
                    $(elem[i]).addClass('fc-fade-in');
                }, i * interval);
            });
        }; //eg function call - fg.fVM.listItemFadeIn('.fc-schedule-live-row' [,optional: default = 100]);

    }
});



