/**
 * Created with JetBrains WebStorm.
 * User: aravind
 * Date: 14/8/13
 * Time: 9:55 AM
 * To change this template use File | Settings | File Templates.
 */

requirejs.config({
    baseUrl: '',
    waitSeconds: 10,
    paths: {

        'fantainCallbacks': 'js/f/fantainCallbacks',

        'fantainHtml': 'js/f/fantainHtml',
        'fantainRoutes': 'js/f/fantainRoutes',
        'fantainInteract': 'js/f/fantainInteract',
        'fantainScrDim': 'js/f/fantainScreenDimensions',

        'fantainDevAccess': 'js/f/fantainDevAccess',

        //Utilities
        'fantainUtils-login': 'js/f/fantainUtils-login',
        'fantainUtils-gameOn': 'js/f/fantainUtils-gameOn',

        //Knockout View Models
        'fVMglobal': 'js/f/fVM-global',
        'fVMinit': 'js/f/fVM-init',
        'fVMheader': 'js/f/fVM-header',
        'fVMfooter': 'js/f/fVM-footer',
        'fVMlaunch': 'js/f/fVM-launch',
        'fVMhome': 'js/f/fVM-home',
        'fVMschedule': 'js/f/fVM-schedule',
        'fVMplay': 'js/f/fVM-play',
        'fVMlogin': 'js/f/fVM-login',
        'fVMprofile': 'js/f/fVM-profile',
        'fVMleaderboard': 'js/f/fVM-leaderboard',
        'fVMscores': 'js/f/fVM-scores',
        'fVMshop': 'js/f/fVM-shop',
        'fVMabout': 'js/f/fVM-about',
        'fVMblog': 'js/f/fVM-blog',
        'fVMnews': 'js/f/fVM-news',
        'fVMfanzone': 'js/f/fVM-fanzone',
        'fVMfollow': 'js/f/fVM-follow',
        'fVMconsole': 'js/f/fVM-console',
        'fVMconnect': 'js/f/fVM-connect',
        'fVMchoosefriends': 'js/f/fVM-choosefriends',
        'fantainAnimations': 'js/f/fantainAnimations',
        'fantainAnalytics': 'js/f/fantainAnalytics',
        'fantainUtils-svc': 'js/f/fantainUtils-svc',

        //RT layer
//        'rt_fantain': 'js/rt/fantain',
//        'rt_domain': 'js/rt/domain',
//        'rt_friendobject': 'js/rt/friendobject',
//        'rt_quizobject': 'js/rt/quizobject',
//        'rt_playerobject': 'js/rt/playerobject',
//        'rt_fantainevents': 'js/rt/fantainevents',
//        'rt_fantainapi': 'js/rt/fantainapi',

        //Third party Plugins
        'domReady': 'js/v/domReady',
        'facebook': 'js/v/facebook-js-sdk', //            fg.facebookSDK, //Setup in fantainEnv.js
        'GA': 'js/v/GAPlugin', //                  fg.GASDK, //Setup in fantainEnv.js
        'cordova': 'cordova',
        'cdv-fb': 'js/v/cdv-plugin-fb-connect',
        'pushNotification': 'js/v/PushNotification',

        //For Dev only
        'fantainForTesting': 'js/f/fantainForTesting'

    },

    shim: {
        'fantainRoutes': {
            deps: ['fantainHtml']
        },
        'fantainInteract': {
            deps: ['fantainHtml']
        },
        'facebook': {
            deps: ['cdv-fb'],
            export: 'FB'
        }
    }
});

if (window.location.protocol != 'file:') {
    require.config({
        map: {
            '*': {
                'facebook': '//connect.facebook.net/en_US/all.js',
                'GA': '//www.google-analytics.com/analytics.js',
                'cordova': 'js/f/fantainDummy',
                'cdv-fb': 'js/f/fantainDummy'
            }
        }
    });
}
//
//requirejs.onError = function (err) {
//
//    if (['facebook', 'GA'].indexOf(err.requireModules[0]) == -1)
//        throw ('RequireJS Exception', err);
//}

    /*    if (err.requireType === 'timeout') {
     if (err.requireModules[0] == 'facebook') {
     fg.fantainMsgOkCallback='';
     fg.fantainMsg('Facebook link taking too long ... try later or with a better connection to the Internet', fg.fantainMsg.alert);
     } else
     if (err.requireModules[0] == 'GA') {
     fg.debugMsg('GA link taking too long ... no analytics will be enabled for this session', fg.fantainMsg.msgs);
     }
     }
    else
        throw(err, "Requirejs Exception"); */

/*********** First get DOM ready ********************/
requirejs(['domReady!'], function (document) {

    requirejs(['fantainCallbacks'], function () {

        fg.debugMsg('Faintain started ... Dom Ready ... Setting up deviceready event listener ...', fg.debugLevel.msgs);
        if (fg.isApp)
            document.addEventListener("deviceready", fg.cb.deviceReady, false);
        else
            fg.cb.deviceReady();

        if (fg.env == 'dev') {
            requirejs(['fantainForTesting'], function () {
                $.noop;
            });
        }

    });
});

