/**
 * Created with JetBrains WebStorm.
 * User: aravind
 * Date: 12/8/13
 * Time: 11:37 AM
 * To change this template use File | Settings | File Templates.
 */

//Is any playcall game currently running?
define(function () {

    return function checkGameOn() {

        var self = this;

        fg.actionStarted(fg.waitFor.checking_rt_events);

        self.rteventsCheckComplete = false;

        fg.fVM.gameScheduled(false);


        self.setMatchInfo = function () {
            requirejs(['fantainUtils-svc'], function(svc) {
                var s = new svc();
                s.svcCall({url:fg.svcPath + 'matches',type:'GET',successCallback:self.matchesSuccess,
                    fantainSvc: true, returnNode:'matches',errorCallback: self.matchesError});
            })
        }

        self.matchesError = function (e) {
            fg.fVM.gameOn(false);
            fg.fVM.gameScheduled(false);
            fg.matchesError = e.timeout ? 'Timeout' : e.msg;
            fg.actionComplete(fg.waitFor.checking_rt_events);
            self.rteventsCheckComplete = true;
        }

        self.matchesSuccess = function(matches) {
            $(matches).each(function (k, v) {
                //Handle date string
                v.start = fg.dates.dateFromString(v.start);
                if (v.active) {
                    fg.debugMsg('A game is in on today, so setup all the relevant values',fg.debugLevel.msgs);
                    fg.fVM.gameOn(true);
                    fg.fVM.gameScheduled(false);
                    fg.fVM.setMatchInfo(v);
                    self.checkForReminder();
                    return false;
                } else {
                    if (v.start > new Date() && !v.active) {
                    	fg.debugMsg('A future game, so setup announcement details',fg.debugLevel.msgs);
                        fg.fVM.gameOn(false);
                        fg.fVM.gameScheduled(true);
                        fg.fVM.setMatchInfo(v);
                        self.checkForReminder();
                        return false;
                    }
                }
            });
            fg.matchesError = '';
            self.rteventsCheckComplete = true;
            fg.actionComplete(fg.waitFor.checking_rt_events);
        }

        self.checkForReminder = function () {
            //Check if reminder has been set, if not, set it. Only for apk
            fg.fVM.reminderSet(fg.fantainStore.get(fg.fVM.matchInfo().id().toString() + '-' + 'reminderSet'));
        }

    }

});

