//Setup JAVASCRIPT namespaces
//-----------------

//The fantain namespace  This is the only defintiion in the global JS namespace
var fantain = {
    analytics : {},
    fq : {
      ui  : {},
      api : {},
      fansocket : {},
      quizsocket : {}
    }
}

fantain.fq.PLATFORM_URL = fg.serverPath.replace(/\/$/, "");

//Domain objects of quiz namespace (This is where Quiz, players etc., are defined)
$(document).ready(function() {
    WEB_SOCKET_SWF_LOCATION = "https://fantain-i-prod.appspot.com/swf/WebSocketMain.swf";
    WEB_SOCKET_DEBUG = true;

    //Connect to server and get everything ready...
    // various socket.io namespaces that I am pushing to our namespace as 'global' variables 
    // so that the various parts of code an just use it.
    var connparam = { 'resource' : 'rt', 'reconnection delay' : 5000, 'max reconnection attempts': 20, 'rememberTransport' : false };
    fantain.fq.fansocket = io.connect(fantain.fq.PLATFORM_URL + '/f', connparam);
    fantain.fq.quizsocket = io.connect(fantain.fq.PLATFORM_URL + '/qz', connparam);
});
