(function (namespace, $) {
    //Friend methods
    namespace.add_friend = function(fr_id) {
        fantain.fq.fansocket.emit("s add fr", fr_id);
    }
    
    namespace.remove_friend = function(fr_id) {
        fantain.fq.fansocket.emit("s rm fr", fr_id);
    }

    //Quiz methods
    namespace.quiz_response = function(quizid, choiceid) {
        fantain.fq.quizsocket.emit("s answer", quizid, choiceid);
    }

    namespace.quiz_load = function(fanid, matchid, teamid) {
        fantain.fq.quizsocket.emit("s qzload", fanid, matchid, teamid);
    }

    //Fan methods
    //Start the game... This should be called after the login service has been invoked
    namespace.gameon = function(tenantid, fanid, matchid, teamid, lat, lng, ipaddress) {
        var msgdata =  {"id": fanid, "lat":lat, "lng":lng, 'matchid': matchid,
            "teamid":teamid, "IP":ipaddress , "tenant" : tenantid };
        fantain.fq.fansocket.emit("s gameon", fanid, matchid, teamid, msgdata);
        namespace.quiz_load(fanid, matchid, teamid)
    }

    namespace.endgame = function() {
        fantain.fq.fansocket.emit("s endgame");
    }

    //send announcements to friends
    namespace.send_friends_ann = function(msg) {
        //this should be implemented using the room!!!
        fantain.fq.fansocket.emit("s fr ann", msg);
    }

    //Chat with friends
    namespace.send_chat_msg = function(friends, msg) {
        fantain.fq.fansocket.emit("s fr msg", friends, msg);
    }

})(fantain.fq.api);


