/**
 * Created with JetBrains WebStorm.
 * User: aravind
 * Date: 14/8/13
 * Time: 9:08 AM
 * To change this template use File | Settings | File Templates.
 */

define(function () {
    return function fVMconnect() {
        var self = this;

        //Data
        self.ongoingChats = ko.observableArray();
        self.currentlyChattingWith = ko.observable();
        self.currentChatSession = ko.computed(function(){
            return self.ongoingChats().indexOfPropertyValue('id',self.currentlyChattingWith());
        });

        self.msgToSend = ko.observable();

        self.unreadChatExists = ko.computed(function () {
            var ur = false;
            var match = ko.utils.arrayFirst(self.ongoingChats(), function (cs) {
                var match1 = ko.utils.arrayFirst(cs().msgs(), function (ms) {
                    return ms.unread() === true;
                });
                return match1 ? true : false;
            });
            return match ? true : false;
        });

        self.clearUnreadStatus = ko.computed(function() {
            if (self.currentlyChattingWith() && fg.findInObservableArray(self.ongoingChats,'id',self.currentlyChattingWith()) != 'error') {
                ko.utils.arrayForEach(fg.findInObservableArray
                    (self.ongoingChats,'id',self.currentlyChattingWith()).msgs(), function (m) {
                    m.unread(false);
                });
            }
        });

        //This is if some actions need to be completed before play page is shown
        self.buildConnectPage = function () {
            fg.fVM.setHeaderTitle('Connect & Chat');
            fg.fVM.updateScoreBox();

            fg.fVM.showPage('fid-connectPage', 'fc-pageAppear');
            fg.actionComplete(fg.waitFor.load_page+"#connect");

        };

        self.chatMsgRecd = function (from, msg) {
            //Is it an ongoing chat? Then add to it, else create a new chat
            var newChat = true;
            ko.utils.arrayForEach(fg.fVM.ongoingChats(), function (cs) {
                if (cs().id == from) {
                    cs().msgs.push({type: 'from', msg: msg, unread: ko.observable(fg.fVM.currentlyChattingWith() == from ? false : true), time: new Date()});
                    newChat = false;
                }
            });
            newChat ? fg.fVM.ongoingChats.push(ko.observable({id: from, msgs: ko.observableArray([
                {type: 'from', msg: msg, unread: ko.observable(fg.fVM.currentlyChattingWith() == from ? false : true), time: new Date()}
            ])})) : '';
        };

        self.chatMsgSend = function () {
            //Is it an ongoing chat? Then add to it, else create a new chat
            var newChat = true;
            ko.utils.arrayForEach(fg.fVM.ongoingChats(), function (cs) {
                if (cs().id == fg.fVM.currentlyChattingWith()) {
                    cs().msgs.push({type: 'to', msg: fg.fVM.msgToSend(), unread: ko.observable(false), time: new Date()});
                    newChat = false;
                }
            });
            newChat ? fg.fVM.ongoingChats.push(ko.observable({id: fg.fVM.currentlyChattingWith(), msgs: ko.observableArray([
                {type: 'to', msg: fg.fVM.msgToSend(), unread: ko.observable(false), time: new Date()}
            ])})) : '';
            fantain.fq.api.send_chat_msg([fg.fVM.currentlyChattingWith()],fg.fVM.msgToSend());
        }
    };
});
