/**
 * Created with JetBrains WebStorm.
 * User: aravind
 * Date: 24/10/13
 * Time: 2:14 PM
 * To change this template use File | Settings | File Templates.
 */

//This will be used by a bunch of elements that animates fade in & out

ko.bindingHandlers.toggleCSS = {
    init: function (element, valueAccessor, allBindingsAccessor, viewModel, bindingContext) {
        var value = valueAccessor();
        $(element).toggle(ko.utils.unwrapObservable(value)); // Use "unwrapObservable" so we can handle values that may or may not be observable

        //Initially summary is on, detailed is off
        $(element).hasClass('summaryScoresTag')  ? $(element).addClass('scoreactive') : '';
        $(element).hasClass('detailedScoresTag') ? $(element).addClass('scorenormal') : '';

    },
    update: function (element, valueAccessor, allBindingsAccessor, viewModel, bindingContext) {
        // Whenever the value subsequently changes, slowly fade the element in or out
        var value = valueAccessor();

        //Subsequently just toggle
        $(element).hasClass('scorenormal')  ? $(element).addClass('scoreactive') : $(element).addClass('scorenormal');

    }
};

ko.bindingHandlers.matchTickerAndScoreAnimation = {
    init: function (element, valueAccessor, allBindingsAccessor, viewModel, bindingContext) {
        // Initially set the element to be instantly visible/hidden depending on the value
        var value = valueAccessor();
        $(element).toggle(ko.utils.unwrapObservable(value)); // Use "unwrapObservable" so we can handle values that may or may not be observable
        switch ($(element).id) {
            case 'matchTicker':
                $(element).innerText = fg.fVM.matchTicker();
                break;
            case 'matchScore':
                $(element).innerText = fg.fVM.matchScore();
                break;
            default:
        }

    },
    update: function (element, valueAccessor, allBindingsAccessor, viewModel, bindingContext) {
        // Whenever the value subsequently changes, slowly fade the element in or out
        var value = valueAccessor();

        //ko.utils.unwrapObservable(value) ? $(element).fadeIn() : $(element).fadeOut();
        switch ($(element)[0].id) {
            case 'matchTicker':
                $(element)[0].innerText = fg.fVM.matchTicker();
                $(element).addClass('fadeInRightBig');
                setTimeout(function ()
                {
                    $(element).removeClass('fadeInRightBig');
                }, 2*1000);
                break;
            case 'matchScore':
                $(element)[0].innerText = fg.fVM.matchScore();
                $(element).addClass('flip');
                setTimeout(function ()
                {
                    $(element).removeClass('flip');
                }, 2*1000);

                break;
            default:
        }

/*
        $(element).animate({
            opacity: 0.25
        }, .5 * 1000, function () {
            switch ($(element)[0].id) {
                case 'matchTicker':
                    $(element)[0].innerText = fg.fVM.matchTicker();
                    break;
                case 'matchScore':
                    $(element)[0].innerText = fg.fVM.matchScore();
                    break;
                default:
            }
            $(element).animate({
                opacity: 1
            }, .5 * 1000);
        });
*/

    }
};

ko.bindingHandlers.flyFromLeft = {
    init: function (element, valueAccessor, allBindingsAccessor, viewModel, bindingContext) {
        var value = valueAccessor();
        //$(element).toggle(ko.utils.unwrapObservable(value)); // Use "unwrapObservable" so we can handle values that may or may not be observable
    },
    update: function (element, valueAccessor, allBindingsAccessor, viewModel, bindingContext) {
        var value = valueAccessor();

        $(element).animate({
            left: '-200px'
        }, 1*1, function () {
            $(element).animate({
                left: '35px'
            }, 1 * 1000);
        });
    }
};