/**
 * Created by aravind on 05/02/14.
 *
 * This contains variables that change with the environment: website dev, website prod, apk dev, apk prod, et.
 *
 */


fg.installation = "srh";
fg.env = "prod";
fg.version = "p v1.1";
fg.versionCode = 4;
fg.androidPackageName = "com.fantain.srh";


fg.isApp = window.location.protocol == 'file:';

fg.currentDebugLevel = (fg.env == 'dev') ? 4 : 0;

fg.serverProtocol = 'https';

fg.serverPath = (fg.env == 'dev') ? fg.serverProtocol + "://platform.dev.fantain.com:443/" : fg.serverProtocol + "://platform.fantain.com:443/";

fg.settingsFrom = (fg.env == 'dev') ? 'https://fantain-i-dev.appspot.com/settings/' : 'https://fantain-i-prod.appspot.com/settings/';

fg.settingsFrom += fg.installation + '_settings.json';

if (fg.installation == 'fantain' && fg.env == 'dev'  &&  fg.isApp) fg.gaID = 'UA-50967844-5';
if (fg.installation == 'fantain' && fg.env == 'prod' &&  fg.isApp) fg.gaID = 'UA-50967844-1';

if (fg.installation == 'fantain' && fg.env == 'dev'  && !fg.isApp) fg.gaID = 'UA-50967844-7';
if (fg.installation == 'fantain' && fg.env == 'prod' && !fg.isApp) fg.gaID = 'UA-50967844-3';

if (fg.installation == 'srh' 	 && fg.env == 'dev' ) fg.gaID = 'UA-50967844-6';
if (fg.installation == 'srh' 	 && fg.env == 'prod') fg.gaID = 'UA-50967844-2';

//Backup - It gets updated by a call to fantain settings server
fg.setupInstallationSettings = function() {

    if (fg.installation == 'fantain') {
        fg.privacyPolicyUrl=   'http://about.fantain.com/privacypolicy.html';
        fg.aboutusUrl=         'http://about.fantain.com';
        fg.aboutFantainUrl=    'http://about.fantain.com';
        fg.blogUrl=            'http://blog.fantain.com/feeds/posts/default';
        fg.newsUrl=            'https://fantainnewsletter.blogspot.com/feeds/posts/default';
        fg.shopUrl=            'http://shop.fantain.com';
        fg.fanzoneUrl=         'https://www.facebook.com/feeds/page.php?format=atom10&id=309362965807160';
        fg.twitterURL=         'https://twitter.com/fantainsports';
        fg.twitterWidgetId=    '437942485143126017';
        fg.twHandle=           '#FantainSports';
        fg.seriesFilter=        [];
        fg.maxScore=           5000;
        fg.copyrightMsg=       'Copyright (c) Fantain Sports';
        fg.tenantId=            '0000';

		if (fg.env == 'dev') {
            fg.FBAppId = '143443522498518';
            fg.GCMID = '692664594079';
		} else {
            fg.FBAppId = '425896184166232';
            fg.GCMID = '692664594079';
        }
    }

    if (fg.installation == 'srh') {
        fg.privacyPolicyUrl=   'http://www.sunrisershyderabad.in/privacypolicy.html';
        fg.aboutusUrl=         'http://www.sunrisershyderabad.in/aboutus';
        fg.aboutFantainUrl=    'http://about.fantain.com';
        fg.blogUrl=            'http://blog.fantain.com/feeds/posts/default';
        fg.newsUrl=            'https://fantainnewsletter.blogspot.com/feeds/posts/default';
        fg.shopUrl=            'http://www.amazon.in/sunrisershyderabad';
        fg.fanzoneUrl=         'https://www.facebook.com/feeds/page.php?format=atom10&id=403725913031209';
        fg.twitterURL=         'https://twitter.com/SunRisers';
        fg.twitterWidgetId=    '461435751205318656';
        fg.twHandle=           '#SunRisers';
        fg.seriesFilter=        ['Indian T20 League 2014'];
        fg.maxScore=           5000;
        fg.copyrightMsg=       'Copyright (c) Sun Group and Fantain Sports';
        fg.tenantId=            '0001';

        if (fg.env == 'dev') {
            fg.FBAppId = '143443522498518';
            fg.GCMID = '692664594079';
        } else {
            fg.FBAppId = '425896184166232';
            fg.GCMID = '692664594079';
        }
    }
}
fg.setupInstallationSettings();

fg.svcPath = fg.serverPath + fg.tenantId + '/svc/';

