/**
 * Created with JetBrains WebStorm.
 * User: aravind
 * Date: 14/8/13
 * Time: 9:09 AM
 * To change this template use File | Settings | File Templates.
 */

// -------------- Client-side routes -------------------------------------------
//requirejs(['sammy'], function (Sammy) {
function startSammy() {

    Sammy(function () {

        //this is so Android browser can work with this
        this.disable_push_state = true;

        this.get('#:selection/:option', function () {
            fg.debugMsg('Go to page:  ' + this.params.selection + ", option is " + this.params.option, fg.debugLevel.msgs);

            //This is so that typed URLs always goes to home page
            if (fg.firstTime) this.redirect('#');
            else {
                ['play', 'profile'].indexOf(this.params.selection) ?
                    fg.fVM['build' + this.params.selection.capitalize() + 'Page'](this.params.option) : '';
            }
        });


        this.get('#:selection', function () {
            fg.debugMsg('Go to page:  ' + this.params.selection, fg.debugLevel.msgs);
            //This is so that typed URLs always goes to home page

            if (fg.firstTime) this.redirect('#');
            else {
                ['login', 'launch', 'home', 'schedule', 'scores', 'play', 'leaderboard', 'connect', 'shop', 'about',
                    'blog', 'news', 'fanzone', 'follow', 'console', 'profile'].indexOf(this.params.selection) > -1
                    ? fg.fVM['build' + this.params.selection.capitalize() + 'Page']() : '';
                fg.readyForBrowserBack = true;
                fantain.analytics.sendpageview(this.params.selection);
            }
        });

        this.get('', function () {

            fg.sammyContext = this;
            //This is first time startup actions
            fg.debugMsg('Starting up the app ...', fg.debugLevel.msgs);

            if (fg.firstTime) {


                //first setup the VM for binding to all pages
                requirejs(['fVMinit'], function (fantainViewModel) {

                    fg.fVM = new fantainViewModel();
                    fg.actionStarted(fg.waitFor.first_time_launch);

                    // Subscribe to changes for drop downs, and simulate an event for that
                    // The action from this is managed as usual through fantainInteract.js
                    fg.fVM.scheduleTeamSelected.subscribe(function (data) {
                        sendEvent("tap", document.getElementById("scheduleTeamSelected"));
                    });
                    fg.fVM.scheduleSeriesSelected.subscribe(function (data) {
                        sendEvent("tap", document.getElementById("scheduleSeriesSelected"));
                    });
                    fg.fVM.scheduleVenueSelected.subscribe(function (data) {
                        sendEvent("tap", document.getElementById("scheduleVenueSelected"));
                    });

                    fg.debugMsg('After setting up fg.fVM in fantainRoutes, ready to bind', fg.debugLevel.msgs);
                    ko.applyBindings(fg.fVM);
                    fg.debugMsg('ViewModel bound to the View', fg.debugLevel.msgs);


                    //Show header & footer
                    fg.fVM.showHeader('fc-pageAppear');
                    $("#fid-header").removeClass('fc-noShow');
                    fg.fVM.showFooter('fc-pageAppear');
                    $("#fid-footer").removeClass('fc-noShow');
                    fg.appHeight();

                    fg.timerHandler.start( 'fg.connectionCheckRan', true, true, 100, this.continueFirstTimeRun, function(){
                        fg.fVM.online(fg.online);
                        fg.fVM.alive(fg.alive);
                    });

                });
            }
        });

        //This is for back on browsers. For APKs, check onBackButton in fantainStart.js
        this.before(/.*/, function () {
            if (!fg.isApp) {
                fg.debugMsg('In browser back function ...', fg.debugLevel.msgs);

                if (fg.readyForBrowserBack)
                    fg.handleBackButton();
            }
        });

    }).run();


    this.continueFirstTimeRun = function () {

        if (fg.fVM.alive()) {
            fg.actionStarted(fg.waitFor.load_login);
            requirejs(['fantainUtils-login'], function (fantainLogin) {
                var fLogin = new fantainLogin;
                fLogin.firstTimeCheck();
                fg.actionComplete(fg.waitFor.load_login);
            });
        }

        fg.isApp ? navigator.splashscreen.hide() : ''; //Hide the splash screen

        fg.actionComplete(fg.waitFor.first_time_launch);

        //Check to see if Privacy Policy has been accepted. If not, make sure it is done before going forward
        if (!fg.termsAndConditionsAccepted()) {
            //Throw a modal and get the OK before proceeding
            fg.fantainMsgOkCallback = fg.cb.continueWithApp;
            fg.fantainMsgCancelCallback = fg.cb.exitFromApp;
            fg.fantainMsg('By clicking OK, you accept the <u><span id ="fid-privacypolicyLink">Terms & Conditions</span></u> of the app', fg.fantainMsgType.confirm);
        } else {
            fg.cb.continueWithApp();
        }

        fg.firstTime = false;

    }

}
